ListItem (My VREs Portlet 1.3.0-SNAPSHOT API)
Date: 2014-10-25

org.gcube.portlet.user.my_vres.client.widgets

## Class ListItem

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Panel
      - - com.google.gwt.user.client.ui.ComplexPanel
        - - org.gcube.portlet.user.my_vres.client.widgets.ListItem

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.HasWidgets, com.google.gwt.user.client.ui.HasWidgets.ForIsWidget, com.google.gwt.user.client.ui.IndexedPanel, com.google.gwt.user.client.ui.IndexedPanel.ForIsWidget, com.google.gwt.user.client.ui.IsWidget, Iterable<com.google.gwt.user.client.ui.Widget>

      public class ListItem
      extends com.google.gwt.user.client.ui.ComplexPanel

  Version:
    0.1 Sep 2012
  Author:
    Massimiliano Assante, ISTI-CNR

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.IndexedPanel

      `com.google.gwt.user.client.ui.IndexedPanel.ForIsWidget`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets

      `com.google.gwt.user.client.ui.HasWidgets.ForIsWidget`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(com.google.gwt.user.client.ui.Widget w)`
    `com.google.gwt.event.shared.HandlerRegistration` | `addClickHandler(com.google.gwt.event.dom.client.ClickHandler handler)`
    `com.google.gwt.event.shared.HandlerRegistration` | `addKeyDownHandler(com.google.gwt.event.dom.client.KeyDownHandler handler)`
    `String` | `getHTML()`
    `String` | `getText()`
    `void` | `insert(com.google.gwt.user.client.ui.Widget w, int beforeIndex)`
    `void` | `setHTML(String html)`
    `void` | `setId(String id)`
    `void` | `setText(String text)`

    - ### Methods inherited from class com.google.gwt.user.client.ui.ComplexPanel

      `add, adjustIndex, checkIndexBoundsForAccess, checkIndexBoundsForInsertion, getChildren, getWidget, getWidgetCount, getWidgetIndex, getWidgetIndex, insert, insert, iterator, remove, remove`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Panel

      `add, adopt, adopt, clear, disown, doAttachChildren, doDetachChildren, orphan, remove`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListItem

          public ListItem()

  - ### Method Detail

    - #### addKeyDownHandler

          public com.google.gwt.event.shared.HandlerRegistration addKeyDownHandler(com.google.gwt.event.dom.client.KeyDownHandler handler)

    - #### addClickHandler

          public com.google.gwt.event.shared.HandlerRegistration addClickHandler(com.google.gwt.event.dom.client.ClickHandler handler)

    - #### getHTML

          public String getHTML()

    - #### setHTML

          public void setHTML(String html)

    - #### setId

          public void setId(String id)

    - #### add

          public void add(com.google.gwt.user.client.ui.Widget w)

      Specified by:
        `add` in interface `com.google.gwt.user.client.ui.HasWidgets`
      Overrides:
        `add` in class `com.google.gwt.user.client.ui.Panel`

    - #### insert

          public void insert(com.google.gwt.user.client.ui.Widget w,
                    int beforeIndex)

    - #### getText

          public String getText()

    - #### setText

          public void setText(String text)

Copyright © 2014. All Rights Reserved.